Historical contract: SMS Twilio Auth
Historical API contract. This page describes an earlier API contract. Methods, paths, and responses may differ from the current API.
Historical meaning
SMS Twilio Auth
This API endpoint is used to authenticate after receiving the code via SMS
Current API
For new integrations, use the linked current API reference or guide.
View the current API referenceParameters
[
{
"name": "api_version",
"in": "path",
"schema": {
"type": "string",
"default": "v400"
},
"required": true
},
{
"name": "language",
"in": "path",
"schema": {
"type": "string",
"default": "en"
},
"required": true
},
{
"name": "project",
"in": "path",
"schema": {
"type": "string",
"default": "<redacted-personal>"
},
"required": true
}
]
Request body
{
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"code": {
"type": "string",
"description": "The code recieved via sms"
},
"cellphone": {
"type": "string",
"description": "The cellphone number"
},
"country_phone_code": {
"type": "integer",
"description": "The cellphone country phone code",
"format": "int32"
}
}
}
}
}
}
Responses
{
"200": {
"description": "200",
"content": {
"application/json": {
"examples": {
"Result": {
"value": "{\n \"error\": false,\n \"result\": {\n \"id\": 1,\n \"name\": \"<redacted-personal>\",\n \"lastname\": \"Admin\",\n \"email\": \"<redacted-email>\",\n \"login_type\": 0,\n \"social_id\": null,\n \"photo\": null,\n \"birthdate\": null,\n \"phone\": \"<redacted-personal>\",\n \"cellphone\": \"<redacted-personal>\",\n \"city_id\": 1,\n \"dropdown_option_id\": 0,\n \"address\": \"<redacted-personal>\",\n \"address_notes\": \"<redacted-personal>\",\n \"zipcode\": \"10001\",\n \"location\": {\n \"lat\": 0,\n \"lng\": 0\n },\n \"level\": 0,\n \"language_id\": 1,\n \"push_notifications\": true,\n \"busy\": false,\n \"available\": false,\n \"enabled\": true,\n \"created_at\": \"2018-10-06 18:18:24\",\n \"updated_at\": \"2018-10-08 17:01:01\",\n \"deleted_at\": null,\n \"session\": {\n \"access_token\": \"<redacted-secret>\",\n \"token_type\": \"<redacted-secret>\",\n \"expires_in\": 31536000\n },\n \"dropdown_option\": null\n }\n}"
}
},
"schema": {
"type": "object",
"properties": {
"error": {
"type": "boolean",
"example": false,
"default": true
},
"result": {
"type": "object",
"properties": {
"id": {
"type": "integer",
"example": 1,
"default": 0
},
"name": {
"type": "string",
"example": "<redacted-personal>"
},
"lastname": {
"type": "string",
"example": "Admin"
},
"email": {
"type": "string",
"example": "<redacted-email>"
},
"login_type": {
"type": "integer",
"example": 0,
"default": 0
},
"social_id": {},
"photo": {},
"birthdate": {},
"phone": {
"type": "string",
"example": "<redacted-personal>"
},
"cellphone": {
"type": "string",
"example": "<redacted-personal>"
},
"city_id": {
"type": "integer",
"example": 1,
"default": 0
},
"dropdown_option_id": {
"type": "integer",
"example": 0,
"default": 0
},
"address": {
"type": "string",
"example": "<redacted-personal>"
},
"address_notes": {
"type": "string",
"example": "<redacted-personal>"
},
"zipcode": {
"type": "string",
"example": "10001"
},
"location": {
"type": "object",
"properties": {
"lat": {
"type": "number",
"example": 0,
"default": 0
},
"lng": {
"type": "number",
"example": 0,
"default": 0
}
}
},
"level": {
"type": "integer",
"example": 0,
"default": 0
},
"language_id": {
"type": "integer",
"example": 1,
"default": 0
},
"push_notifications": {
"type": "boolean",
"example": true,
"default": true
},
"busy": {
"type": "boolean",
"example": false,
"default": true
},
"available": {
"type": "boolean",
"example": false,
"default": true
},
"enabled": {
"type": "boolean",
"example": true,
"default": true
},
"created_at": {
"type": "string",
"example": "2018-10-06 18:18:24"
},
"updated_at": {
"type": "string",
"example": "2018-10-08 17:01:01"
},
"deleted_at": {},
"session": {
"type": "object",
"properties": {
"access_token": {
"type": "string",
"example": "<redacted-secret>"
},
"token_type": {
"type": "string",
"example": "<redacted-secret>"
},
"expires_in": {
"type": "integer",
"example": 31536000,
"default": 0
}
}
},
"dropdown_option": {}
}
}
}
}
}
}
},
"400": {
"description": "400",
"content": {
"application/json": {
"examples": {
"Result": {
"value": "{}"
}
},
"schema": {
"type": "object",
"properties": {}
}
}
}
}
}